unit CameraDefs;

interface
uses windows;

Const   DLLName = 'usblc32.dll';
        _512            = 512;
        _1kB            = _512 * 2;
        _2kB            = _1kB * 2;
        _4kB            = _2kB * 2;
        _8kB            = _4kB * 2;
        _16kB           = _8kB * 2;
        _32kB           = _16kB * 2;
        _64kB           = _32kB * 2;
        _128kB          = _64kB * 2;
        _256kB          = _128kB * 2;
        _512kB          = _256kB * 2;
        _1MB            = _512kB * 2;
        _2MB            = _1MB * 2;
        _4MB            = _2MB * 2;
        _8MB            = _4MB * 2;
        _16MB           = _8MB * 2;
        _32MB           = _16MB * 2;
        _64MB           = _32MB * 2;
        _128MB          = _64MB * 2;
        _256MB          = _128MB * 2;

        RET_OK                  = 0;

        _1ms    = 1;
        _1s     = 1000 * _1ms;

function ls_initialize(dwPipeSize, dwReadLength, dwThreadClass : DWORD;
                       iThreadPrio : Integer; pcMsgID : PChar) : DWORD; stdcall; external DLLName;
function ls_enumdevices : Integer; stdcall; external DLLName;
function ls_getmcu1version(AIndex : Integer) : WORD; stdcall; external DLLName;
function ls_getvendorname(AIndex : Integer) : PChar; stdcall; external DLLName;
function ls_getproductname(AIndex : Integer) : PChar; stdcall; external DLLName;
function ls_getserialnumber(AIndex : Integer) : PChar; stdcall; external DLLName;
function ls_devicecount : Byte; stdcall; external DLLName;
function ls_currentdeviceindex : Integer; stdcall; external DLLName;
function ls_opendevicebyindex(AIndex : Integer) : DWORD; stdcall; external DLLName;
function ls_opendevicebyserial(pcserialnum : PChar) : DWORD; stdcall; external DLLName;
function ls_closedevice : DWORD; stdcall; external DLLName;
function ls_waitforpipe(dwTimeOut : DWORD) : DWORD; stdcall; external DLLName;
function ls_getpipe(lpBuffer : Pointer; nNumberOfBytesToRead: DWORD;
                    var lpNumberOfBytesRead: DWORD): DWORD; stdcall; external DLLName;
function ls_setpacketlength(dwLength : DWORD) : DWORD; stdcall; external DLLName;
function ls_getfps : DWORD; stdcall; external DLLName;
function ls_resetfifo : DWORD; stdcall; external DLLName;
function ls_getsensortype(Var wSensorType, wPixelCount : Word) : DWORD; stdcall; external DLLName;
function ls_geterrorstring(dwErr : DWORD) : PChar; stdcall; external DLLName;

function ls_setmode(ucMode, ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_setstate(ucState, ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_setinttime(dwIntTime : DWORD; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_getmcu2version(Var wVersion : WORD; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_getmcu2sensortype(Var wSensorType : WORD; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_getmode(Var ucMode : Byte; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_getstate(Var ucState : Byte; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;
function ls_getinttime(Var dwIntTime : DWORD; ucTimeOut : Byte) : DWORD; stdcall; external DLLName;

function ls_getsensorconfigmask(wSensorType : WORD;
                                var wMaskAND, wMaskOR: WORD) : DWORD; stdcall; external DLLName;
function ls_getsensormuxmask(wSensorType : WORD;
                             var wMaskAND, wMaskOR: WORD) : DWORD; stdcall; external DLLName;
function ls_getsensordefaultparameter(wSensorType : WORD;
                            var wConfig, wMux, wRPGA, wROffSet, wGPGA, wGOffSet,
                            wBPGA, wBOffSet : Word) : DWORD; stdcall; external DLLName;
function ls_getsensorname(wSensorType : WORD) : PChar; stdcall; external DLLName;

function ls_savesettings : DWORD; stdcall; external DLLName;
function ls_resetsettings : DWORD; stdcall; external DLLName;
function ls_getadcconfig(var wConfig : Word) : DWORD; stdcall; external DLLName;
function ls_getadcmux(var wMux : Word) : DWORD; stdcall; external DLLName;
function ls_getadcpga1(var wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_getadcpga2(var wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_getadcpga3(var wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_getadcoffset1(var wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_getadcoffset2(var wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_getadcoffset3(var wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcconfig(wConfig : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcmux(wMux : Word) : DWORD; stdcall; external DLLName;
function ls_setadcpga(wRPGA, wGPGA, wBPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_setadc3xpga(wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcpga1(wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcpga2(wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcpga3(wPGA : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcoffset(wROffSet, wGOffSet, wBOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_setadc3xoffset(wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcoffset1(wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcoffset2(wOffSet : WORD) : DWORD; stdcall; external DLLName;
function ls_setadcoffset3(wOffSet : WORD) : DWORD; stdcall; external DLLName;

function ls_readi2c(I2C_Addr : Byte; pBuf : Pointer; Var wLength : Word;
                    Var ucState : Byte) : DWORD; stdcall; external DLLName;
function ls_writei2c(I2C_Addr : Byte; pBuf : Pointer; wLength : WORD;
                     Var ucState : Byte) : DWORD; stdcall; external DLLName;
function ls_seti2cfreq(freq : Byte) : DWORD; stdcall; external DLLName;
function ls_geti2cfreq(Var freq : Byte) : DWORD; stdcall; external DLLName;
function ls_geti2cstat(Var STAT : Byte) : Cardinal; stdcall; external DLLName;
function ls_geti2cstring(STAT : Byte) : PChar; stdcall; external DLLName;

implementation

end.
