unit UnitInfo;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  CameraDefs, StdCtrls;

type
  TfmInfo = class(TForm)
    lb_mcu2_version: TLabel;
    Label15: TLabel;
    Label4: TLabel;
    lb_mcu1_version: TLabel;
    lb_pixelcount: TLabel;
    Label5: TLabel;
    Label2: TLabel;
    lb_lscb_type: TLabel;
    lb_cbm_type: TLabel;
    Label3: TLabel;
    Label1: TLabel;
    btn_close: TButton;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  fmInfo: TfmInfo;

implementation

{$R *.DFM}

procedure TfmInfo.FormShow(Sender: TObject);
var dwErr : DWORD;
    wVersion, wSensorType, wPixelCount : WORD;
begin
  lb_lscb_type.Caption := '';
  dwErr := ls_getsensortype(wSensorType,wPixelCount);
  if dwErr = RET_OK then
  begin
    lb_lscb_type.Caption := ls_getsensorname(wSensorType);
    lb_pixelcount.Caption := IntToStr(wPixelCount);
  end;

  lb_cbm_type.Caption := '';
  dwErr := ls_getmcu2sensortype(wSensorType,10);
  if dwErr = RET_OK then
    lb_cbm_type.Caption := 'CMB-'+ ls_getsensorname(wSensorType);

  wVersion := ls_getmcu1version(ls_currentdeviceindex);
  lb_mcu1_version.Caption := Format('V%u.%2.2u',[Byte(wVersion shr 8),Byte(wVersion)]);

  lb_mcu2_version.Caption := '';
  dwErr := ls_getmcu2version(wVersion,10);
  if dwErr = RET_OK then
    lb_mcu2_version.Caption := Format('V%u.%2.2u',[Byte(wVersion shr 8),Byte(wVersion)]);

end;

end.
